### Persefone.jl - a model of agricultural landscapes and ecosystems in Europe.
###
### Build the HTML documentation for Persefone using Documenter.jl
### https://documenter.juliadocs.org/stable/
### 

push!(LOAD_PATH, "../src/")

using Documenter, Persefone

makedocs(sitename="Persefone",
         modules = [Persefone],
         repo = "https://git.idiv.de/xo30xoqa/persephone/-/blob/master/{path}#{line}",
         format = Documenter.HTML(prettyurls = false),
         pages = ["index.md",
                  "odd.md",
                  "Developing" => [
                      "developing.md",
                      "adapting.md",
                      "architecture.md",
                      "gis.md",
                      "species-dsl.md"],
                  "Core" => [
                      "simulation.md",
                      "io.md"],
                  "Nature" => [
                      "nature.md",
                      "energy.md",
                      "species.md"],
                  "crops.md",
                  "farm.md"
                  ])
